%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Number-Compare

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Number Compare Perl Module
Name:		perl-%{perlname}
Version:	0.01
Release:	2
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=Number+Compare
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Number::Compare compiles a simple comparison to an anonymous subroutine, which 
you can call with a value to be tested again.

%prep
%setup -q -n %{perlname}-%{version}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc MANIFEST  
%_libdir
%_mandir

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.01-2
- Rebuild against perl 5.10.0
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.01-1
- Initial Build
